# Class: Tracker

## jala.Form.Tracker()

Instances of this class can contain error-messages and values

## Constructor

#### new Tracker()

A generic container for error-messages and values

Source:
  - jala/code/Form.js, line 2454

### Members

#### errors :Object

A map containing error messages

##### Type:

- Object

Source:
  - jala/code/Form.js, line 2473

#### reqData :Object

A map containing input from request data

##### Type:

- Object

Source:
  - jala/code/Form.js, line 2460

#### values :Object

A map containing parsed values (only for those fields that didn't fail during checkRequirements method).

##### Type:

- Object

Source:
  - jala/code/Form.js, line 2467

### Methods

#### countErrors()

Returns the number of components for which this instance has tracked an error.

Source:
  - jala/code/Form.js, line 2504

##### Returns:

Number of components that did not validate.

#### hasError()

Returns true if an error has been set for at least one component.

Source:
  - jala/code/Form.js, line 2491

##### Returns:

true if form encountered an error.